aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2015-06-26 12:45:54 +1200
committerTom Ryder <tom@sanctum.geek.nz>2015-06-26 12:45:54 +1200
commit88b0fa96a34c56260668e9dadac2f7188863be24 (patch)
tree60754149f3df894c292052533c82ea061c3a6b5a /bin
parentMove argument check further up script (diff)
downloaddotfiles-88b0fa96a34c56260668e9dadac2f7188863be24.tar.gz
dotfiles-88b0fa96a34c56260668e9dadac2f7188863be24.zip
Check we have ed(1)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/edda4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/edda b/bin/edda
index 2bfe994e..f0d716d7 100755
--- a/bin/edda
+++ b/bin/edda
@@ -27,6 +27,10 @@ if ! (($#)) ; then
exit 1
fi
+# Need ed(1) -- some systems daring to call themselves UNIX-like don't have it
+# installed by default. What's POSIX, precious?
+hash ed || exit
+
# Parse options out, give help if necessary
declare -a opts
for arg ; do